Bug 43619 - Animating only 2nd level paragraphs hides 1st level paragraphs
Summary: Animating only 2nd level paragraphs hides 1st level paragraphs
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.4 Daily
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paragraph Custom-Animations
  Show dependency treegraph
 
Reported: 2011-12-08 00:08 UTC by Stephan Bergmann
Modified: 2019-03-28 09:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample document (13.05 KB, application/vnd.oasis.opendocument.presentation)
2011-12-08 00:08 UTC, Stephan Bergmann
Details
fix the (automatically selected) paragraph grouping (2.15 KB, text/plain)
2011-12-08 00:16 UTC, Stephan Bergmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Bergmann 2011-12-08 00:08:15 UTC
Created attachment 54217 [details]
sample document

See the attached fly.odp with a text box with three 1st level paragraphs (Foo, Bar, Baz) with one 2nd level paragraph each (First, Second, Third), with an on-click animation (fly in) grouped "By 2nd level paragraphs" (see context menu of any of the items in the "Tasks" pane's "Custom Animation - Effect Fly In" list, "Effect Options... - Text Animation - Group text").

When doing the slide show, the individual 1st and 2nd level paragraphs correctly fly in one by one (Foo; First; Bar; Second; Baz; Third).

Now, remove the effect for each of the 1st level paragraphs (Foo, Bar, Baz), via the items' context menu "Remove".  When doing the slide show, the first 1st level paragraph (Foo) is correctly displayed right from the start, and the individual 2nd level paragraphs correctly fly in one by one (First; Second; Third), but the remaining two 1st level paragraphs (Bar, Baz) are erroneously not displayed at all.

Also, after removing all the 1st level paragraphs' effects, the grouping of the remaining 2nd level paragraphs (as stated at "Effect Options... - Text Animation -Group Text") changes from "By 2nd level paragraphs" to "All paragraphs at once".  Manually changing the setting for a paragraph does not work, after closing the "Effect Options" dialog it automatically goes back to "All paragraph at once."

(Reproduced with a libreoffice-3-4 build towards LO 3.4.5.  On master towards LO 3.5, this cannot currently be tested well, as doing this animated slide show, at least in an unxlngx6 --enable-dbgutil build, soffice.bin aborts with drawshapesubsetting.cxx's makeTreeNode calculating std::distance between singular iterator and end; immediate problem appears to be that maActionClassVector.begin() == maActionClassVector.end() in DrawShapeSubsetting::getTreeNode.)
Comment 1 Stephan Bergmann 2011-12-08 00:16:22 UTC
Created attachment 54218 [details]
fix the (automatically selected) paragraph grouping

With the attached paralevels.patch, after removing all the 1st level paragraphs' effects, the grouping of the remaining 2nd level paragraphs (as stated at "Effect Options... - Text Animation -Group Text") stays at "By 2nd level paragraphs" and no longer automatically changes to "All paragraphs at once".  Manually changing the setting for a paragraph still does not work, however---after closing the "Effect Options" dialog it automatically goes back to "By 2nd level paragraphs."
Comment 2 Michael Meeks 2012-05-08 13:10:14 UTC
Thorsten ? :-)
Comment 3 Not Assigned 2012-05-08 15:17:33 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c2c03e9062d0c86d385a56c3ce1f536944927a2

Fix fdo#43619 Animating only 2nd level paragraphs hides 1st level
Comment 4 Thorsten Behrens (CIB) 2012-05-08 15:18:12 UTC
Patch looks good, improves things -> pushed.
Comment 5 Stephan Bergmann 2012-05-09 01:01:32 UTC
But the original problem is not yet fixed at all.

Note that attachment 54218 [details] was nothing but work-in-progress, as comment 1 tried to make clear.  It now unfortunately got committed with a misleading commit message claiming "Fix fdo#43619."
Comment 6 Michael Stahl (CIB) 2012-07-05 07:11:41 UTC
Comment on attachment 54218 [details]
fix the (automatically selected) paragraph grouping

patch is integrated, removing "patch" flag so it does not turn
up in bugzilla searches.
Comment 7 Carlos Rodriguez 2015-06-28 18:45:58 UTC
What I can confirm is that, after removing the effects of the three 1st level paragraphs (Foo, Bar, Baz) the last two (Bar, Baz) are not showing on the slideshow. The patch mentioned fixes the "Effect Options... - Text Animation -Group Text") and it's working fine, but the other issue (Bar and Baz dissappearing) is not fixed. 

Confirmed on Debian 8 (jessie):

Versión: 4.3.7.2
Id. de compilación: 8a35821d8636a03b8bf4e15b48f59794652c68ba

Versión: 4.4.3.2
Id. de compilación: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Configuración regional: es_ES

Version: 4.4.5.0.0+
Build ID: 7847365292bf0c5e35cf94835b46e414dbe4692e
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-4-4, Time: 2015-06-25_10:22:13
Locale: es_ES.UTF-8

Version: 5.0.0.1.0+
Build ID: e36ca8d3c69d0c08ad28ceea278b05a0af81e102
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-5-0, Time: 2015-06-25_07:19:18
Locale: es-ES (es_ES.UTF-8)

Version: 5.1.0.0.alpha1+
Build ID: a7a95af74badcb745bb1c86c7f9a21444ca12c77
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-06-25_09:37:54
Locale: es-ES (es_ES.UTF-8)
Comment 8 Brian Fraser 2019-03-28 08:32:29 UTC
The steps described produce the desired results for me:

1. Removing all 1st level animation effects correctly makes all 1st level paragraphs show up at the start of the presentation of the slide.

2. The "group text" option correctly shows as "by second level paragraph" after all the 1st level paragraph animations have been deleted. 


Test system:
Version: 6.2.1.2 (x64)
Build ID: 7bcb35dc3024a62dea0caee87020152d1ee96e71
CPU threads: 12; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 9 Stephan Bergmann 2019-03-28 09:00:34 UTC
(I too see the reproducer from comment 0 fixed with a recent local Linux master build towards LO 6.3)